/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../../vn/conversation/talk.h"
#include "../../../display/animation/queue.h"
#include "../../../poker/actions/match.h"
#include "action.h"

void _pokerGameActionStartOnStart(
  queue_t *queue, queueaction_t *action, uint8_t i
);

void _pokerGameActionStartOnEnd(queue_t *queue,queueaction_t *action,uint8_t i);

queueaction_t * pokerGameAcionStartAdd(pokergame_t *game);